Syndie/es

Aus i2pwiki.mk16.de
Zur Navigation springen Zur Suche springen

<languages />

Introducción[Bearbeiten]

Sobre[Bearbeiten]

La aplicación Syndie (de "Sindicar") es una herramienta parecida a un distribuidor de noticias. Distribuye mensajes de varios tamaños entre varias instancias de syndie de diferentes usuarios.Todos los mensajes están cifrados y enviados a un foro determinado, que ha sido creado por los usuarios.

Cuando se 'sindicaliza' (N.T. usaremos sincronizar a partir de ahora), se intercambian los mensajes entre 2 instancias de Syndie, y de esta forma los mensajes saltan a través de la red desde un usuario hasta el otro usuario.Syndie puede usar varias redes de transporte:

  • actualmente funcionan (2016): I2P, Tor, clearnet, Freenet<ref>Freenet compatibility repaired since Syndie v1.107b-0 released in august 2016</ref>,<ref>2014's Freenet patch : http://trac.i2p2.i2p/ticket/1424</ref>
  • necesita desarrollarse: transporte a través de un pen USB, email, FTP, NNTP.

Captura de pantalla[Bearbeiten]

Un usuario (nick: 'Syndie user 17855')navegando por un foro llamado 'Syndie chat':

Datei:Syndie user browsing a forum.png

Cómo obtenerlo[Bearbeiten]

Guía del usuario[Bearbeiten]

Hay una guía de usuario completa disponible:

  • Dentro de esta wiki: Syndie Handbook
  • Fuera de esta wiki: mira los enlaces en la sección "#Enlaces Externos" , donde encontrarás un enlace a la eepsite con la "Documentación de Syndie Project", entonces pulsa el link "Guía del usuario".

Apuntes y trucos[Bearbeiten]

Cómo resetear a los archivos conocidos por defecto[Bearbeiten]

Syndie viene preconfigurado por defecto con varias direcciones de archivos. Dichos archivos pueden seleccionarse, o no, cuando se inicia Syndie por primera vez.

Si inicias Syndie pero no hay archivos preconfigurados (quizás pulsaste cancelar o lo ejecutaste hace mucho tiempo), puedes:

  • Añadir manualmente algunos archivos (mira la lista de más abajo)

o, (de una forma destructiva), cerrar Syndie y entonces:

Cuidado: ¡esto borrará todo tu perfil de Syndie!

  • En Linux/OSX: borra '~/.syndie' (Linux/OSX) y reinicia Syndie
  • En Windows XP: borra C:\documents and settings\username\.syndie y reinicia Syndie
  • En windows Vista/7: borra 'C:\Users\USERNAME\.syndie' y reinicia Syndie

Una lista no oficial de archivos[Bearbeiten]

Nota: Hay una lista más "oficial" de archivos en http://www.syndie.i2p/wiki/ ("Lista de archivos conocidos"). Disponible también en Syndie_Handbook.

Nota: puedes saber la última fecha en que funcionaba una eepsite/archivo con la ayuda de http://inr.i2p

Sincronizando para poder obtener mensajes muy viejos[Bearbeiten]

Cuando sincronices, tu cliente Syndie intentará obtener varios foros u mensajes, en muchos de los cuales no podrás responder. Cada usuario tiene su propio foro y sus permisos de escritura pueden ser tan estrictos como se desee.

Para obtener los mensajes de un archivo más antiguos de lo indicado por la configuración por defecto ("2 semanas" 12-2015), debes cambiar la configuración "Age to treat as 'recent'" dentro de la configuración del archivo (ratón: botón derecho).

Cómo recuperar Syndie si tu base de datos está corrupta[Bearbeiten]

Ejemplo de los mensajes de error relacionados:

  • 'syndie.db.DBClient : Internal error building ancestors'
  • 'syndie.db.DBClient : Error retrieving the channel hash'

Si no tienes una copia de seguridad de tus 'Secretos' (las claves de tu identidad y de tus foros), hazla ya: You stop using Syndie ?: backup your secrets (keys) !

Ahora lee : Si tu syndie está roto (mensaje de error no conocido).

Usuarios avanzados[Bearbeiten]

Configurar un servidor Syndie 'headless' (SO: Linux)[Bearbeiten]

Cuando se ejecuta en modo CLI (en la línea de comandos, llamado "headless"), Syndie utiliza menos memoria RAM.

Manualmente[Bearbeiten]

El usuario Echelon (2013) inicia Syndie con "java -jar syndie-cli.jar /path/to/syndiearchive". Dentro de syndie, escribe "prefs --paginate false" para no tener que ejecutar intro cada x líneas, ahora inicia el servido httpd con esta línea: "httpserv --port 8080 --listeners 10 --writeable true". Debería ser autoexplicativa. Para salir, escribe "exit".

Automaticamente (script)[Bearbeiten]

Si quieres ejecutar un servidor Syndie en modo headless (donde otras instancias sólo puedan sincronizarse), puedes usar el siguiente script. Script escrito por KillYourTV, enero 2013 (ref). Confirmado que funciona con v1.105b-0:

  1    
  2 #!/bin/sh
  3 
  4 # Syndie background archive controller
  5 # kytv, Jan 2013
  6 
  7 ##########################################
  8 #      Set these per your needs          #
  9 ##########################################
 10 ARCHIVEDIR=
 11 SYNDIECMD="java -Djava.net.preferIPv4Stack=true -jar $HOME/syndie/bin/syndie-cli.jar"
 12 SYNDIEPORT=8080
 13 SYNDIELISTENERS=10
 14 
 15 ##########################################
 16 # Nothing below here should need editing #
 17 ##########################################
 18 if [ "x$ARCHIVEDIR" = "x" ]; then
 19     echo "ERROR: ARCHIVEDIR not configured!" >&2
 20     exit 1
 21 fi
 22 PIDFILE="$ARCHIVEDIR/httpserv.pid"
 23 if [ -e "$PIDFILE" ]; then
 24     PID=$(cat "$PIDFILE")
 25 fi
 26 
 27 
 28 create_config(){
 29     cat << EOF > "$ARCHIVEDIR/runhttpserv.syndie"
 30 httpserv --port $SYNDIEPORT --listeners $SYNDIELISTENERS --writable true
 31 ctrlserv
 32 EOF
 33 }
 34 
 35 do_start() {
 36     if [ -e "$PIDFILE" ]; then
 37         PID=$(cat "$PIDFILE") 2>/dev/null
 38     else
 39         unset PID
 40     fi
 41     if [ "x$PID" != "x" ]; then
 42         if ! kill -0 "$PID" > /dev/null 2>&1; then
 43             rm "$PIDFILE"
 44         else
 45             echo "An instance of Syndie is already running at $PID!" >&2
 46             exit 0
 47         fi
 48     fi
 49     create_config
 50     echo -n "Starting Syndie..."
 51     cd "$ARCHIVEDIR"
 52     TZ=UTC nohup $SYNDIECMD --nostdin @runhttpserv.syndie . >> $ARCHIVEDIR/syndie.log 2>&1 &
 53     echo $! >  "$PIDFILE"
 54     echo "done."
 55 }
 56 
 57 do_stop(){
 58     if [ -e "$PIDFILE" ]; then
 59         echo -n "Stopping (this could take a while)."
 60         kill "$PID" 2> /dev/null
 61         while kill -0 "$PID" 2> /dev/null; do
 62             echo -n .
 63             sleep 1.5
 64         done
 65         rm "$PIDFILE"
 66 
 67 echo done.
 68     else
 69         echo "Syndie is not running." >&2
 70     fi
 71 }
 72 
 73 
 74 case "$1" in
 75     start)
 76         do_start
 77         ;;
 78 status)
 79     if [ ! -r $PIDFILE ]; then
 80         echo "Cannot find $PIDFILE. Syndie is probably not running." >&2
 81         exit 4
 82     fi
 83 
 84 if [ ! -f $PIDFILE -o -z $PID ]; then
 85         echo "Syndie is not running" >&2
 86         exit 3
 87     fi
 88 
 89 if kill -0 $PID > /dev/null 2>&1 ; then
 90         echo "Syndie is running [$PID]" >&2
 91         exit 0
 92     else
 93         echo "Syndie is not running." >&2
 94         rm "$PIDFILE"
 95         exit 1
 96     fi
 97     ;;
 98     restart)
 99     do_stop
100     sleep 2
101     do_start
102     ;;
103     stop)
104         do_stop
105         ;;
106     *)
107         echo "Usage: $0 {stop, start, status, restart}"
108         ;;
109 esac


Personalizar:

  • Nombre de archivo recomendado para el script: syndiectrl.sh
  • Ejemplo: ARCHIVEDIR=/home/yourusername/syndie

Usando Syndie de modo portable[Bearbeiten]

Esto es posible (ref: hilo de forum.i2p (2014)), simplemente inicia Syndie y especifica donde quieres guardar el directorio del perfil.

Ejemplos de comandos para windows:

X:\PortableApps\Syndie\bin\Syndie.exe X:\PortableApps\Syndie\Data

Ejemplo de comandos para linux:

$HOME/syndie/bin/syndie.sh /your/profile/location

(esta línea utiliza la localización por defecto de Syndie para crear los datos del perfil, como las nuevas carpetas)"

java -jar $HOME/syndie/bin/syndie.jar /your/profile/location/usr/bin/syndie /your/archive/location

(esto lanza Syndie mientras especifica el perfil personalizado)"

Para los sistemas soportados (Windows, Linux, OSX) sólo necesitas Java, lo demás está incluido con el instalador de Syndie. Otra opción es ejecutar Syndie como un pluguin de I2P.

Perfil de Apparmor para Syndie[Bearbeiten]

En el 2006, Deb-mirror publicó <ref>http://forum.i2p/viewtopic.php?t=12469&highlight=</ref> el script hecho para hacer funcionar Syndie con Apparmor (ver Wikipedia).


@{INSTALL_DIR} = /home/user/syndie

#include <tunables/global>

/home/user/syndie/bin/syndie.sh {
  #include <abstractions/base>

  /usr/lib/jvm/java-?-openjdk-{amd64,armel,armhf,i386,powerpc}/jre/bin/java Cx -> java,
  /usr/lib/jvm/java-?-openjdk/jre/bin/java Cx -> java,
  @{INSTALL_DIR}/bin/syndie.sh r,


  profile java {
    #include <abstractions/base>

    deny /etc/nsswitch.conf r,
    deny @{PROC}/** r,
    deny /sys/** r,

    /etc/fonts/** r,
    /etc/java-?-openjdk/jvm-*.cfg r,
    /etc/java-?-openjdk/logging.properties r,
    /etc/java-?-openjdk/net.properties r,
    /etc/java-?-openjdk/security/java.security r,
    /etc/java-?-openjdk/security/nss.cfg r,
    /etc/java-?-openjdk/tz.properties r,
    /etc/passwd r,
    /etc/timezone r,
    /tmp/ r,
    owner /tmp/hsperfdata_*/ rw,
    owner /tmp/hsperfdata_*/* rw,
    /usr/lib/jvm/java-?-openjdk-{amd64,armel,armhf,i386,powerpc}/jre/bin/java mr,
    /usr/lib/jvm/java-?-openjdk/jre/bin/java mr,
    /usr/local/share/fonts/ r,
    /usr/share/dict/* r,
    /usr/share/fontconfig/conf.avail/*.conf r,
    /usr/share/fonts/ r,
    /usr/share/fonts/** r,
    /usr/share/icons/ r,
    /usr/share/icons/** r,
    /usr/share/java/java-atk-wrapper.jar r,
    /usr/share/javazi/** r,
    /usr/share/mime/mime.cache r,
    /usr/share/pixmaps/ r,
    /usr/share/poppler/cMap/*/ r,
    /usr/share/themes/** r,
    /var/cache/fontconfig/*.cache-4 r,
    /var/tmp/ r,
    owner @{HOME}/.Xauthority r,
    owner @{HOME}/.cache/fontconfig/*.cache-4 r,
    owner @{HOME}/.config/font-manager/conf.d/ r,
    owner @{HOME}/.config/fontconfig/fonts.conf r,
    owner @{HOME}/.fonts/ r,
    owner @{HOME}/.local/share/font-manager/Library/ r,
    owner @{HOME}/.local/share/fonts/ r,
    owner @{HOME}/.local/share/icons/ r,
    owner @{HOME}/.local/share/icons/** r,
    owner @{HOME}/.local/share/mime/mime.cache r,
    owner @{HOME}/.swt/lib/linux/x86_64/*.so mr,
    owner @{HOME}/.syndie/ w,
    owner @{HOME}/.syndie/archive/ rw,
    owner @{HOME}/.syndie/archive/*/ rw,
    owner @{HOME}/.syndie/archive/*/*.syndie rw,
    owner @{HOME}/.syndie/db/ rw,
    owner @{HOME}/.syndie/db/syndie.backup rw,
    owner @{HOME}/.syndie/db/syndie.data rw,
    owner @{HOME}/.syndie/db/syndie.lck rw,
    owner @{HOME}/.syndie/db/syndie.lobs rw,
    owner @{HOME}/.syndie/db/syndie.log w,
    owner @{HOME}/.syndie/db/syndie.properties rw,
    owner @{HOME}/.syndie/db/syndie.properties.new rw,
    owner @{HOME}/.syndie/db/syndie.script rw,
    owner @{HOME}/.syndie/db/syndie.script.new rw,
    owner @{HOME}/.syndie/db/syndie.tmp/ rw,
    owner @{HOME}/.syndie/indexes/ w,
    owner @{HOME}/.syndie/indexes/*-shared-index.dat w,
    owner @{HOME}/.syndie/keyBackup/ w,
    owner @{HOME}/.syndie/keyBackup/nymkeys.*.zip w,
    owner @{HOME}/.syndie/logs/ w,
    owner @{HOME}/.syndie/logs/syndie-log-*.txt w,
    owner @{HOME}/.syndie/outbound/ w,
    owner @{HOME}/.syndie/outbound/*/ w,
    owner @{HOME}/.syndie/outbound/*/*.syndie rw,
    owner @{HOME}/.syndie/scripts/ w,
    owner @{HOME}/.syndie/scripts/defaultaliases rw,
    owner @{HOME}/.syndie/scripts/defaultprefs rw,
    owner @{HOME}/.syndie/scripts/login rw,
    owner @{HOME}/.syndie/scripts/newdatabase rw,
    owner @{HOME}/.syndie/scripts/startup rw,
    owner @{HOME}/.syndie/tmp/ rw,
    owner @{HOME}/.syndie/tmp/* rw,
    owner @{HOME}/.syndie/web/ w,
    owner @{HOME}/.syndie/web/favicon.ico w,
    owner @{HOME}/.syndie/web/index.html w,
    owner @{HOME}/.syndie/web/robots.txt w,
    @{INSTALL_DIR}/bin/ r,
    @{INSTALL_DIR}/bin/syndie.jar r,
    @{INSTALL_DIR}/lib/hsqldb.jar r,
    @{INSTALL_DIR}/lib/i2p.jar r,
    @{INSTALL_DIR}/lib/swt.jar r,
    @{INSTALL_DIR}/lib/syndie.jar r,

  }
}

Guarda este perfil en /etc/apparmor.d/home.user.syndie.bin.syndie.sh (ajusta home.user.syndie para que coincida con tu directorio de instalación)

Tiene que cambiar /home/user/syndie por donde tengas instalado Syndie. Además este perfil solo está activo si inicias Syndie desde el archivo syndie.sh, lo que no es el caso desafortunadamente si lo ejecutas desde la entrada en el menú creada por el instalador, por lo que debes cambiarlo:

1. Abre el archivo

~/.local/share/applications/Syndie-*.desktop

2. cambia la línea

Exec=java -jar "/home/user/syndie/bin/syndie.jar"

por

Exec=/home/user/syndie/bin/syndie.sh

ahora guarda

Puedes comprobar si el perfil está activo ejecutando aa-status (necesita root). Si Syndie está jecutado debería decir algo como esto:

...
5 processes are in enforce mode.
   /home/user/syndie/bin/syndie.sh (32499)
   /home/user/syndie/bin/syndie.sh//java (32501)

Este perfil solo se ha probado en Debian 8.4 (amd64) con OpenJDK 7 y Cinnamon como escritorio. La funcionalidad de servidor no ha sido probada.

Problemas conocidos:

  • La importación y exportación de archivos no funcionará a no ser que le des derechos de lectura a las fuentes.
  • Ejecutarlo como servidor probablemente no funcionará ya que no fue configurado para ello cuando se creó el perfil.

Ver también[Bearbeiten]

Referencias[Bearbeiten]

<references />

Enlaces externos[Bearbeiten]

  • Foros en syndie sobre nuevas versiones (archivos compartidos) en la red iMule
  • (es) Syndie manual (2015). Copied from the Syndie Documentation Project. Not anymore, ask lawiki2p user for backups if needed